/* vi:ts=4:sw=4
 *
 * VIM - Vi IMitation Kanji version.
 *
 * Code Contributions By:	Atsushi Nakamura	ann@mrit.mei.co.jp
 */

/*
 * kanji.h: definition of global variables for kanji
 *
 */

#ifdef KANJI
# define	KANJI_FILE	*p_kj		/* file-io code */
# define	KANJI_DISP	*(p_kj+1)	/* terminal display code */
# define	KANJI_NEW	*(p_kj+2)	/* write code for new file */
# define	KANJI_FCODE	*p_kc		/* write code for the current file */
# define	KCODE_EUC	'E'		/* EUC */
# define	KCODE_JIS	'J'		/* JIS */
# define	KCODE_NJIS	'N'		/* NewJIS */
# define	KCODE_SJIS	'S'		/* Shift-JIS */
# define	KCODE_ANY	'.'		/* automatic (for file I/O) */
# define	KCODE_NONE	'X'		/* nothing (=E) */
# define 	KCODE_STR	"EJNS.X"/*	Shift-JIS is not checked yet. */
# define	IsKanji(c)	((c) & 0x80)	/* is Kanji-character */
# define	IsKanjiSpace(c1, c2)	\
	((u_char)c1 == ((u_char)'!'|0x80) && (u_char)c2 == ((u_char)'!' | 0x80))
										/* is Kanji space */

#define		KANJITILDE1	(u_char *) \
			"!?!1!i!o!{!y!3!4!7!\"!#!k!&!D!-!F!H!a!c!d!\\!v!s!C!<!J!K!P!Q!V!W"
#define		KANJITILDE2	(u_char *) \
			"!@!2!j!p!|!z!5!6!9!$!%!n!>!E!.!G!I!b!e!f!^!_!`!B!]!R!S!L!M!X!Y"
#endif KANJI

#ifdef FEP
# define FEP_HANKAKU	0
#endif

/*
 * param.h: definition of global variables for settable parameters
 *
 * EXTERN is only defined in main.c (and vim.h)
 */

#ifndef EXTERN
# define EXTERN extern
#endif

/*
 * The following are external functions
 */

EXTERN void		kanjito();

EXTERN u_char	*kanjiin();
EXTERN u_char	*kanjiout();

EXTERN u_char	*kanjiconvsfrom();
EXTERN u_char	*kanjiconvsto();

